Package org.picocontainer.behaviors

# Class FieldDecorating

java.lang.Object
org.picocontainer.behaviors.AbstractBehaviorFactory
org.picocontainer.behaviors.FieldDecorating

All Implemented Interfaces:
  `Serializable`, `BehaviorFactory`, `FieldDecorated.Decorator`, `ComponentFactory`

public abstract class FieldDecorating extends AbstractBehaviorFactory implements FieldDecorated.Decorator
BehaviorFactory for Field Decorating. This factory will create
invalid reference

    org.picocontainer.gems.behaviors.FieldDecorated

that will allow you to decorate fields on the component instance that has been created

Author:
  Paul Hammant
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FieldDecorating(Class<?> fieldClass)`

## Method Summary

Modifier and Type
Method
Description
`ComponentAdapter`
`addComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, ComponentAdapter adapter)`
`ComponentAdapter`
`createComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class componentImplementation, Parameter... parameters)`
Create a new component adapter based on the specified arguments.

### Methods inherited from class org.picocontainer.behaviors.AbstractBehaviorFactory

`accept, arePropertiesPresent, getAndRemovePropertiesIfPresentByKey, mergeProperties, removePropertiesIfPresent, verify, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.picocontainer.behaviors.FieldDecorated.Decorator

`decorate`

## Constructor Details

### FieldDecorating

public FieldDecorating(Class<?> fieldClass)

## Method Details

### createComponentAdapter

public ComponentAdapter createComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class componentImplementation, Parameter... parameters) throws PicoCompositionException
Description copied from interface: `ComponentFactory`
Create a new component adapter based on the specified arguments.

Specified by:
  `createComponentAdapter` in interface `ComponentFactory`
Overrides:
  `createComponentAdapter` in class `AbstractBehaviorFactory`
Parameters:
  `componentMonitor` - the component monitor
  `lifecycleStrategy` - te lifecycle strategy
  `componentProperties` - the component properties
  `componentKey` - the key to be associated with this adapter. This value should be returned from a call to `ComponentAdapter.getComponentKey()` on the created adapter.
  `componentImplementation` - the implementation class to be associated with this adapter. This value should be returned from a call to `ComponentAdapter.getComponentImplementation()` on the created adapter. Should not be null.
  `parameters` - additional parameters to use by the component adapter in constructing component instances. These may be used, for example, to make decisions about the arguments passed into the component constructor. These should be considered hints; they may be ignored by some implementations. May be null, and may be of zero length.
Returns:
  a new component adapter based on the specified arguments. Should not return null.
Throws:
  `PicoCompositionException` - if the creation of the component adapter results in a `PicoCompositionException`.

### addComponentAdapter

public ComponentAdapter addComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, ComponentAdapter adapter)

Specified by:
  `addComponentAdapter` in interface `BehaviorFactory`
Overrides:
  `addComponentAdapter` in class `AbstractBehaviorFactory`